
html, body {
    font-family: -apple-system,BlinkMacSystemFont,Helvetica Neue,Segoe UI,Hiragino Kaku Gothic ProN,Hiragino Sans,ヒラギノ角ゴ ProN W3,Arial,メイリオ,Meiryo,sans-serif;
}

select {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  border-radius: 0;
  border: 0;
  margin: 0;
  padding: 0;
  background: none transparent;
  background-color: #fff;
  vertical-align: middle;
  font-size: inherit;
  color: inherit;
  box-sizing: content-box;
  overflow: hidden;
}

input[type="text"],
input[type="password"],
input[type="number"],
select {
    margin: 4px 4px 4px 4px;
    padding: 3px 10px;
    border: solid 1px #ccc;
    /* border-radius: 3px; */
    border-radius: 0;
    vertical-align: middle;
}
/* input[type="number"] {
    padding-right: 10px;
} */


.btn {
    border-radius: 0;
}

.btn-insert-sample {
    font-size: 13px;
    cursor: pointer;
    color: #007bff;
}

.red {
    color: red;
    font-weight: bold;
}

.ext-icon {
    margin-left: 6px;
    width: 16px;
    height: 16px;
}



.header {
    padding-top: 4px;
    padding-bottom: 4px;
    background-color: #333;
    color: #fff;
}
.header a {
    color: #fff;
}
.header h2 {
    display: inline-block;
    margin: 0;
    padding: 0;
    font-size: 22px;
    font-weight: bold;
}
.header .subtitle {
    display: inline-block;
    font-size: 12px;
}
.header-logo {
    width: auto;
    height: 40px;
    margin-left: -13px;
}

.footer {
    margin-top: 40px;
    margin-bottom: 30px;
    font-size: 14px;
    border-top: solid 1px #aaa;
}
.footer-menu {
    margin-top: 30px;
}
.footer-menu ul {
    padding-left: 20px;
}
.footer-copyright {
    margin-top: 30px;
}
.createdby, .createdby a {
    color: #666;
    font-size: 13px;
}
.createdby a {
    text-decoration: underline;
}


.text-force-break {
    word-wrap: break-word;
    white-space: normal;
    word-break: break-word;
}

.pan-kuzu {
    margin-top: 20px;
    font-size: 16px;
    font-weight: bold;
    /* color: #666; */
}
.pan-kuzu-sep {
    color: #888;
    font-weight: normal;
}

.frame-desc {
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 10px 15px;
    background-color: #fff;
    font-size: 14px;
    line-height: 24px;
    border: solid 1px #ccc;
    border-radius: 3px;
}
.frame-desc-title {
    margin-top: 28px;
    margin-bottom: 12px;
    padding: 4px 0 4px 8px;
    font-size: 22px;
    font-weight: bold;
    border-left: solid 6px #333;
}
.frame-desc-page {
    font-size: 16px;
    line-height: 28px;
}
.frame-desc ul {
    padding-left: 20px;
}
.code {
    font-family: Osaka-mono, 'Osaka-等幅', 'ＭＳ ゴシック', 'MS Gothic', monospace !important;
    margin: 8px 0;
    padding: 8px;
    font-size: 12px;
    line-height: 18px;
    background-color: #f8f8f8;
    border: solid 1px #ddd;
    border-radius: 3px;
}


.search-box {
    display: flex;
    justify-content: space-around;
    flex-flow: row wrap;
    align-items: stretch;
    background-color: #eee;
}
.search-box-input {
    flex-grow: 1;
}
.search-box-button {
    margin: 4px 0;
    height: 32px;
}
.search-box-clear {
    margin: 4px 0 4px 4px;
    height: 32px;
    border: solid 1px #888;
}


.frame,
.frame-out {
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 20px;
    background-color: #f8f8f8;
    border: solid 1px #ccc;
    border-radius: 3px;
}

.frame h4 {
    margin-bottom: 12px;
    padding: 4px 0 4px 8px;
    font-weight: bold;
    border-left: solid 8px #333;
}
.frame h5 {
    margin-bottom: 10px;
    padding: 2px 0 2px 6px;
    font-weight: bold;
    border-left: solid 6px #333;
}

.frame-out-wrap {
    margin-top: 10px;
}

.frame-out {
    margin-top: 4px;
    margin-bottom: 0;
    background-color: #fff;
    border-width: 2px;
}

.plugin-thamb {
    margin-right: 10px;
    width: 200px;
    height: auto;
}

.img-mid {
    width: 100%;
    max-width: 360px;
    height: auto;
}


.tool-panels-head {
    margin-bottom: 6px;
    font-size: 13px;
    font-weight: bold;
}
.tool-section-name {
    margin-top: 20px;
    margin-bottom: 10px;
    padding: 8px 16px;
    font-size: 18px;
    /* font-weight: bold; */
    background-color: #333;
    color: #fff;
}
.tool-panels {
    display: flex;
    flex-wrap: wrap;
    /* padding-left: 1%; */
}
.tool-panel {
    width: 49%;
    margin-bottom: 10px;
    margin-right: 1%;
}
.tool-panel:nth-child(odd){
    /* margin-right: 2%; */
}
@media (max-width:991px)  {
    .tool-panel { width: 100%; }
    /* .tool-panel:nth-child(odd){ margin-right: 0; } */
}
.tool-panel-border {
    position: relative;
    padding: 5px 10px 5px 5px;
    border: solid 1px #ccc;
    border-radius: 3px;
    height: 76px;
}
.tool-panel-border:hover{
    background-color: #eee;
}
.tool-panel-thumb {
    position: absolute;
    margin-right: 10px;
    width: 64px;
    height: 64px;
    background-color: #eee;
    border: solid 1px #ddd;
    border-radius: 3px;
}
.tool-panel-name {
    position: absolute;
    display: inline-block;
    top: 50%;
    transform: translate(0, -50%);
    padding-left: 76px;
    padding-right: 5px;
}
.tool-panel-link {
    color: #222;
    font-weight: bold;
    font-size: 15px;
}
.tool-panel-link:hover {
    color: #000;
    text-decoration: none;
}


.kousei-text {
    line-height: 32px;
}
.kousei-word {
    color: red;
    font-weight: bold;
    text-decoration: underline;
    text-decoration-style: dashed;
    font-size: 20px;
    cursor: pointer;
}
.kousei-word-rule {
    margin: 0 4px;
    padding: 1px 2px;
    background-color: rgb(141, 109, 255);
    color: #fff;
    font-size: 12px;
    border: solid 1px rgb(67, 0, 175);
    border-radius: 3px;
}
.kousei-word-suggestion-arrow {
    background-color: #fec;
    color: #f33;
}
.kousei-word-suggestion {
    background-color: #fc0;
    color: #f33;
}
.kousei-word2 {
    color: blue;
    font-weight: bold;
}



.share-buttons {
}
.share-buttons a {
    margin-right: 2px;
    margin-bottom: 6px;
    display: inline-block;
    padding: 6px 10px;
    color: #fff;
    font-size: 14px;
    text-decoration: none;
    border-radius: 3px;
    min-width: 50px;
    text-align: center;
}
@media (max-width:375px)  {
    .share-buttons a { margin-right: 1px; padding: 6px 8px; }
}
.share-button-taittsuu {
    background-color: #3d3d3d;
    color: #fff;
}
.share-button-tw {
    background-color: #00acee;
    color: #fff;
}
.share-button-fb {
    background-color: #095bc6;
    color: #fff;
}
.share-button-bs {
    background-color: rgb(0, 133, 255);
    color: #fff;
}
.share-button-pocket {
    background-color: #f3596d;
    color: #fff;
}
.share-button-hatebu {
    background-color: #00a4de;
    color: #fff;
}
.share-button-line {
    background-color: #00b900;
    color: #fff;
}



.color-result-box-wrap {
    padding: 10px;
    background-color: #fff;
    overflow-x: scroll;
    word-break: keep-all;
    white-space: nowrap;
}
.color-result-box-head {
    padding: 8px 0;
    /* background-color: #eee; */
    font-weight: bold;
}
.color-result-box {
    margin: 10px 0;
    padding-bottom: 10px;
    border-bottom: solid 1px #eee;
}
.color-result-item, .color-result-item-title {
    margin: 0 10px;
    display: inline-block;
    width: 80px;
}
.color-result-item-title {
    width: 220px;
}
.color-result-box .color-result-item:last-child {
    width: 250px;
}
.color-copy {
    color: #007bff;
    cursor: pointer;
}
#toast-copy {
    display: none;
    position: fixed;
    top: 10px;
    padding: 10px;
    text-align: center;
    left: 0;
    right: 0;
    background-color: #fff;
    font-size: 20px;
    color: #f3596d;
    font-weight: bold;
    border-top: solid 1px #eee;
    border-bottom: solid 1px #eee;
}


.avatar-image {
    width: 30px;
    height: 30px;
    border-radius: 30px;
}
